package com.bonus.material.basic.mapper;

import java.util.List;
import com.bonus.material.basic.domain.BmProject;

/**
 * 标段工程管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface BmProjectMapper 
{
    /**
     * 查询标段工程管理
     * 
     * @param proId 标段工程管理主键
     * @return 标段工程管理
     */
    public BmProject selectBmProjectByProId(Long proId);

    /**
     * 查询标段工程管理列表
     * 
     * @param bmProject 标段工程管理
     * @return 标段工程管理集合
     */
    public List<BmProject> selectBmProjectList(BmProject bmProject);

    /**
     * 新增标段工程管理
     * 
     * @param bmProject 标段工程管理
     * @return 结果
     */
    public int insertBmProject(BmProject bmProject);

    /**
     * 修改标段工程管理
     * 
     * @param bmProject 标段工程管理
     * @return 结果
     */
    public int updateBmProject(BmProject bmProject);

    /**
     * 删除标段工程管理
     * 
     * @param proId 标段工程管理主键
     * @return 结果
     */
    public int deleteBmProjectByProId(Long proId);

    /**
     * 根据工程名称查询工程信息
     * @param bmProject
     * @return
     */
    List<BmProject> selectBmProjectByProName(BmProject bmProject);
}
